const insert = require('./insertTicket');
const filter = require('./filter');
const select = require('./db/selectDB')

var barcode = "A0A3B820690F";
var shelving = "BCD";///introducida por el usuario O en leida de la bbdd?
var collectionFk = '254';

function ticketCollection(collectionFk, shelving){//parametro collectionFk
    select.select(collectionFk, function(err,data){
        if(filter.filterShelving(shelving)){
            insert.insertTicket(data, shelving)
         }
         else{
         console.log("¡MATRICULA INCORRECTA!")
         }
    });
}

ticketCollection(collectionFk, shelving);